Referral
Approve or reject a flagged referral
PATCH
/
v1
/
referral
/
admin
/
referrals
/
{referralId}
/
review
Approve or reject a flagged referral
curl --request PATCH \
--url https://api.wazapin.com/v1/referral/admin/referrals/{referralId}/review \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', notes: '<string>'})
};
fetch('https://api.wazapin.com/v1/referral/admin/referrals/{referralId}/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/referral/admin/referrals/{referralId}/review"
payload = {
"action": "<string>",
"notes": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"fraud_band": "<string>",
"fraud_reasons": [
"<string>"
],
"fraud_score": 123,
"fraud_status": "<string>",
"id": "<string>",
"referee_email": "<string>",
"referee_name": "<string>",
"referral_code": "<string>",
"referrer_email": "<string>",
"referrer_name": "<string>",
"status": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Response
OK
⌘I
Approve or reject a flagged referral
curl --request PATCH \
--url https://api.wazapin.com/v1/referral/admin/referrals/{referralId}/review \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', notes: '<string>'})
};
fetch('https://api.wazapin.com/v1/referral/admin/referrals/{referralId}/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/referral/admin/referrals/{referralId}/review"
payload = {
"action": "<string>",
"notes": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"fraud_band": "<string>",
"fraud_reasons": [
"<string>"
],
"fraud_score": 123,
"fraud_status": "<string>",
"id": "<string>",
"referee_email": "<string>",
"referee_name": "<string>",
"referral_code": "<string>",
"referrer_email": "<string>",
"referrer_name": "<string>",
"status": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}